HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a list of signatures over a time period.

This API endpoint retrieves wireless security events and intrusion alerts detected by the WIDS system.

Supports filtering by site, event category (client/infrastructure), specific event types, severity levels, radio bands, and time ranges.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction ('or' and 'not' are NOT supported).

Supported Fields and Operators:

FieldOperators
siteIdeq, in
categoryeq, in
eventTypeeq, in
leveleq, in
radioBandeq, in

Operator Definitions:

  • eq: Only values exactly matching the given value are returned
  • in: Only values present in the given list are returned

Applicable Values by Field:

FieldApplicable Terms
siteIdstring
category['CLIENT', 'INFRASTRUCTURE']
eventTypeSee SignatureType schema for all possible values
level['LOW', 'MEDIUM', 'HIGH']
radioBand['UNSPECIFIED', 'BAND_2_4GHZ', 'BAND_5GHZ', 'BAND_6GHZ']
int64
0 to 9223372036854776000

Retrieve data starting at the specified timestamp. Given in milliseconds from epoch. (Default: 3 hours ago)

int64
0 to 9223372036854776000

Retrieve data ending at the specified timestamp. Given in milliseconds from epoch. (Default: current time)

int32
0 to 1000
Defaults to 100

Denotes the maximum number of items returned in the response. (Default: 100)

int32
0 to 2147483647
Defaults to 0

Specifies the zero-based resource offset to start the page from. (Default: 0)

string
length ≤ 256

Comma separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.

Supported fields are eventType, category, level, eventTime, stationMac, detectingAp, radioBand, and siteName

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json